Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.webapp
Class ResourceServletContainerInitializer

    java.lang.Object
      org.richfaces.webapp.GenericServletContainerInitializer
          org.richfaces.webapp.ResourceServletContainerInitializer

All Implemented Interfaces:
  javax.servlet.ServletContainerInitializer

    public class ResourceServletContainerInitializer

extends GenericServletContainerInitializer

Initializes `ResourceServlet`.

Initialization can be turned of by "org.richfaces.resources.skipResourceServletRegistration" context parameter.

Author:
  Lukas Fryc

Field Summary
`static java.lang.String` | `EDITOR_RESOURCES_DEFAULT_MAPPING`

Constructor Summary
`ResourceServletContainerInitializer()`

Method Summary
`void` | `onStartup(java.util.Set<java.lang.Class<?>> c, javax.servlet.ServletContext servletContext)`

Methods inherited from class org.richfaces.webapp.GenericServletContainerInitializer
`getServletRegistration, hasFilterMapping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EDITOR_RESOURCES_DEFAULT_MAPPING

    public static final java.lang.String EDITOR_RESOURCES_DEFAULT_MAPPING

See Also:
  Constant Field Values

Constructor Detail

### ResourceServletContainerInitializer

    public ResourceServletContainerInitializer()

Method Detail

### onStartup

    public void onStartup(java.util.Set<java.lang.Class<?>> c,
                          javax.servlet.ServletContext servletContext)
                   throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.